version 2.0.50 ( updated 6-7-2017 )
- Introduced the new contact form module. 
- Added new field types to the contact form module, including checkboxes, radio buttons and select dropdowns. 
- Add field validation rules to the contact form module inputs. 
- Added a comprehensive conditional logic system to the contact form module. 
- Added the ability to customize the contact form module submit button text. 
- Fixed a bug with fullwidth slider background repeat value migration.
- Fixed a compatibility issue with the WP Ofload S3 plugin.
- Fixed a bug that prevented the deletion or duplication of modules within global sections in some situations. 
- Added background options to inner rows within specialty sections.
	* includes/builder/scripts/builder.js
	* includes/builder/main-modules.php
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/plugin-compat/amazon-s3-and-cloudfront-pro.php
	* includes/builder/plugin-compat/amazon-s3-and-cloudfront.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css

version 2.0.49 ( updated 6-2-2017 )
- Fixed a browser compatibility issue with IE 11 and the new background options UI.
- Fixed a bug that prevented hover-ability in the Visual Builder after having just activated draggable padding on a row or section.
- Fixed a bug that caused the background image preview in the new background UI to not update after applying a new background image for the fullwidth header module in the backend builder.
- Added back missing divider module color option and made the option conditional on the "show divider" option being enabled.
	* includes/builder/scripts/builder.js
	* includes/builder/main-modules.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css

version 2.0.48 ( updated 5-31-2017 )
- Improved compatibility with PHP 5.2 and below and fixed a fatal error the occurred on these old systems.
- Fixed a bug that caused the countdown timer module title element to render in the Visual Builder even when the field was left blank.
- Updated TinyMCE to the latest version which resolved some JavaScript errors in IE 11.
- Fixed a bug that caused some dropdown menus to not be clickable in IE 11 in the Visual Builder.
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css

version 2.0.47 ( updated 5-31-2017 )
- Added new Background Options Interface to the Divi Builder. 
- Added Gradient Background options to supported modules, sections and rows. 
- Added new background image options for background size, background repeat and background position. 
- Updated the color picker in the Visual Builder.
- Added options migration system that will allow us to add new default options and change default options for Divi Builder modules without causing changes in legacy layouts.
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-global-settings.php
	* includes/builder/functions.php
	* includes/builder/main-modules.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/settings/Migration.php
	* includes/builder/module/settings/migration/BackgroundUI.php
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/ext/wp-color-picker-alpha.js
	* includes/builder/scripts/ext/wp-color-picker-alpha.min.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/styles/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/styl

version 2.0.46 ( updated 5-24-2017 )
- Fixed a bug that caused excerpt length to not save correctly in global modules in some situations. 
- Fixed a bug that caused selective sync to not work correctly when selecting categories quickly in the post slider module.
- Fixed a bug that prevented history states from being created when adding items from the library in some cases, which caused unwanted results when using undo/redo functionality.
- Removed unwanted specialty section options that appeared in the normal section settings modal in some situations.
- Fixed a bug that caused unsynced global module settings to not save properly due to an error in unsynced option comparison.
- Fixed a bug that prevented the filterable portfolio from being re-initialized correctly in the Visual Builder after copying styles onto a module that triggered computed options ajax call.
- Fixed a bug that prevented global modules from saving module repositioning inside of global one column rows.
- Fixed an error that occurred sometimes after discarding category selection changes in the fullwidth portfolio module.
- Fixed rendering issues that occurred when using the WordPress galley shortcode inside of text modules in the Visual Builder.
- Updated the blurb "use icon font size" setting to be conditional of the "use icon" setting. 
- Updated the blurb "image max width" setting to be conditional of the "use icon" mode being turned off.
- Removed base module margin from the divider module when the divider line is set to hidden so that the defined height is equal to the actual space created by the module.
- Changed the divider module back to a block element due to the inline-block style causing conflicts with custom CSS changes on some customer websites.
- Fixed a bug that caused percentage custom widths for specialty sections not to work on the front end.
- LocalStorage will now clear properly when adjusting certain settings in the Role Editor.
- Fixed conditional logic in the portfolio module that caused unwanted display of overlay settings when the module was not in grid mode.
- Fixed bug that prevented comment module button icons from updating in the Visual Builder.
- Added sanitation to button module URL field to prevent unwanted characters from breaking URLs. 
- Updated shop module CSS selectors due to fix WooCommerce 3.0 compatibility issues.
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/scripts/builder.js
	* includes/builder/main-modules.php
	* includes/builder/core.php
	* includes/builder/functions.php

version 2.0.45 ( updated 5-18-2017 )
- Updated translations with missing translations from the options organization update.
- Added an option to sort WooCommerce products by date and to change the order to "newest to oldest" for WooCommerce shortcodes that support the filter. 
- The text overlay border radius setting is now conditional on the text overlay setting being enabled for slider modules. 
- Fixed a bug that prevented the conditional image alt text setting from being triggered in the image module after having added an image from the WordPress media library interface.
- Fixed a bug that caused conditional fullwidth slider background settings from appearing in the Divi Builder settings popup.
- Added back missing column background settings to rows within specialty sections.
- Fixed an error that occurred when selecting custom button fonts via the Theme Customizer.
- Fixed a bug that caused the Right Click > Disable Global function to fail for global rows in the Visual Builder.
	* scripts/builder.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/main-modules.php
	* includes/builder/main-structure-elements.php
	* includes/sanitization.php

version 2.0.44 ( updated 5-11-2017 )
- Improved option organization.
- Added second tier option groups for all Divi Builder settings.
- Added option search functionality to the Visual Builder.
- Improved the global module selective sync system, allowing for selective sync of all individual module options.
- Fixed a bug that caused line breaks to not render when added in the Visual Builder while TinyMCE was in text mode.
- Fixed issue with responsive column breakdown of the Wireframe View interface when triggering pseudo breakpoints via snapped modal resizing. 
- Fixed issue that prevented multiple invisible divider modules from being edited in the Visual Builder when they were placed in a row of 3+ in a single column.
- Fixed bug that caused incorrect icons to be shown in the comments module when customizing icon selection in the Visual Builder.
- Max width settings will now render correctly when customizing the fullwidth header module in the Visual Builder when text alignment is set to centered.
- Fixed a bug that caused fullwidth header images to break down incorrectly on smaller screens when the module was set to fullscreen mode.
- Fixed an error that occurred when dragging snapped settings modals in the Visual Builder and triggering pseudo responsive breakpoints.
- The page will now re-render correctly when disabling the "remove space below image" setting in the image module in the Visual Builder.
- Fixed a bug that caused CSS parallax backgrounds to bleed into true parallax backgrounds when the two sections were placed next to each other on the page.
- Fixed a bug that caused an error to occur if the settings modal cancel button was clicked during an Ajax load when editing the blog module in the Visual Builder.
- Bar counter module widths will now re-render correctly when a settings modal is snapped to the side of the screen in the Visual Builder.
- Fixed a bug that caused unwanted comas to be added to number counter modules in some situations.
- Updated theme options UI to prevent icon overlap on small screens.
- Fixed a bug that prevented custom specialty section widths to be set using pixels.
- Correctly centered the testimonial module quote icon in all situations.
- Improved the positioning of fullwidth portfolio hover elements when title display has been disabled.
	* includes/builder/main-structure-elements.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/functions.php
	* includes/builder/main-modules.php
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/library_scripts.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/styles/notification_popup_styles.css
	* includes/builder/styles/style.css
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css
	* core/core.php
	* epanel/css/panel.css
	* style.css

version 2.0.43 ( updated 5-5-2017 )
- Fixed bug that prevented breakpoints from triggering in the Visual Builder while dragging snapped settings modals.
- Added pseudo breakpoints for Wireframe View in the Visual Builder to ensure responsiveness when dragging snapped settings modals.
- Fixed bug with the contact form module that caused line breaks to not be saved and sent correctly in the email message.
- Fixed a bug that made it impossible edit module labels in the Visual Builder while in Wireframe View in some situations. 
- Fixed a bug that caused broken styles when the portability system was disabled via the Divi Role Editor.
- Improved Wireframe View compatibility for the Divi Builder Plugin. 
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/main-modules.php
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/roles_admin.js
	* includes/builder/frontend-builder/assets.php

version 2.0.42 ( updated 5-2-2017 )
- Added new Wireframe View mode to the Visual Builder.
- Fixed issue with email optin module failing to subscribe users in some cases due to request caching system.
- Fixed issue with unwanted save warning appearing when global sections were on the page but no content was changed while TinyMCE was in Visual mode.
- Fixed issue where initial updates to global sections were not saved correctly in some cases.
- Fixed issue with line breaks being stripped from global modules upon saving. 
- Disabled right click menu while settings modals are open in the Visual Builder.
- Fixed bug that made the TinyMCE paragraph dropdown menu inaccessible in the Visual Builder.
	* core/components/HTTPInterface.php
	* core/components/api/email/MailChimp.php
	* includes/builder/scripts/builder.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-structure-elements.php
	* includes/builder/frontend-builder/bundle.js

version 2.0.41 ( updated 4-26-2017 )
- Fixed error that occured on websites running PHP 5.2. 
- Fixed error that occured when updating plugins for some customers.
- Fixed a bug that caused range slider inputs to default to "0" after saving a module in the Divi Builder.
	* includes/builder/scripts/builder.js
	* core/components/Updates.php
	* core/functions.php
	* core/main_functions.php
	* core/init.php

version 2.0.40 ( updated 4-25-2017 )
- Updated Divi with new /core structure.
- Added new interface to the Divi Builder for managing email providers for the Email Optin module (API keys are no longer managed in the Divi Theme Options).
- Fixed bug that caused Right Click > Disable to not re-render correctly in the Visual Builder.
- Range slider values that exceed the default range will no longer be reset when saved. 
- Fixed issue where the use of [...] inside of Slider headings would cause the shortcode the malfunction.
- Updated Waypoints to the latest version
- Ratings will no longer be counted as comments within the WordPress interface.
- Fixed compatibility issue with Yoast SEO Premium.
- Fixed various JS formatting issues.
- Images with captions will now be responsive.
- Fixed issue with videos not appearing correctly on video post formats in some cases.
- The contact form page template will now use the correct email as defined in the page template options and then use the WordPress admin email as a fallback.
- Fixed category selection bug in the blog feed page template options.
- Fixed an issue with gutter widths not apply correctly to category layouts built in the Extra category builder.
- Updated comments template to use Ajax comment form when replying to a comment on the page.
- Fixed a bug that caused posts on page 2 and above to not respect the content length settings in the module options.
- Fixed bug in the time-line page template that caused posts in the time-line to overflow the theme footer.
- The post count setting for the site-map page template will now work correctly.
- Removed unwanted LESS source map from Extra's CSS files.
- Fixed a bug in IE that caused columns in the Extra footer to not float correctly.
- Show category and show rating options will now work correctly for the blog feed page template.
- Removed unwanted list item numbers that appeared next to blog post comments.
- The subject input filed in the contact form page template will now be attached correctly to the email.
- Added missing author structured data element to single post hentry.
- Borders will now be printed correctly when setting the border width to "2" in the blog feed standard and masonry modules.
- Column options for the Shop modules will now work correctly when used in the Extra category builder.
- Hiding social media icons in the Extra Theme Options will now work correctly.
- Added missing ratings toggle to the Extra theme options.
- Fixed issue with hover icons appearing incorrectly on paginated pages within the Extra category builder.
- Excerpt length options will now work correctly when configured in the blog feed page template.
- Custom CSS ID's will now work correctly when applied to the tabbed posts module.
- When items are removed from the WooCommerce cart, the number will now be correctly updated in the Extra header.
- Fixed various flexbox rendering issues in IE11.
- Fixed issues with mega menu links not being clickable on mobile devices.
- The live preview button will now work correctly in the Extra category builder.
- Fixed an issue where video format posts failed to display video if user added two oEmbed-based video.
- Added option to enable responsive Google Adwords ads.
- "Automatically close comments after..." option will now work correctly.
- Fixed issue with long post timelines not rendering correctly in the timeline page template.
- Added missing WooCommerce styles for account page.
- Fixed issue with collapsing columns on some mobile devices which caused post sliders to disappear.
- Header font sizes applied in the category builder will now correctly override font sizes applied in the Theme Customizer.
- Fixed a bug that caused pagination to break in post feeds that contained private posts when viewing the post feed as an admin user.
- Updated CSS auto-prefixer to add support for Safari version 8.
- Fixed responsive design issues that occurred on the Extra blog feed when masonry mode was enabled in the Extra theme options.
- Added option to disable comments on the blog feed page template.
- The header text color option will now work correctly when configured in the blog module settings in the Extra category builder.
- Custom button styles adjusted in the Theme Customizer will now correctly apply to buttons added in the Divi Builder.
- Added missing localization to the Login widget.
- Removed anchor link from featured imaged on posts.
- Fixed HTML encoding issue that occurred when tweeting post titles via the Extra social sharing links.
- Widget text color settings in the Theme Customizer will now work correctly.
- Fixed bug where the wrong author name was displayed when the author had not authored any posts.
- Added styling for tables inside of posts.
	* scripts/ext/jquery.waypoints.js
	* scripts/theme-customizer.js
	* scripts/theme-customizer-controls.js
	* scripts/scripts.js
	* includes/plugins-seo-support.php
	* includes/ratings.php
	* includes/customizer.php
	* includes/template-tags.php
	* includes/admin/scripts/page-template.js
	* includes/admin/admin.php
	* includes/et-social-share.php
	* includes/core.php
	* includes/widgets.php
	* includes/builder-integrations.php
	* includes/layouts.php
	* includes/customizer.php
	* css/panel.css
	* framework/admin/admin.php
	* style.css
	* page.php
	* page-template-blog-feed.php
	* page-template-contact.php
	* single-post.php
	* header.php
	* index.php
	* page-template-blog-feed.php
	* options_extra.php
	* module-ads.php
	* module-featured-posts-slider.php
	* module-posts-blog-feed.php
	* module-posts-carousel.php
	* module-posts.php
	* module-tabbed-posts.php
	* index-content.php
	* core/*

version 2.0.39 ( updated 4-4-17 )
- Added support for new WooCommerce 3.0 galleries and zoom effects on product pages. 
- Fixed a bug that caused unwanted spacing to remain on the page after closing a settings modal using the ESC hotkey in the Visual Builder when the modal was snapped to the side of the page. 
- Fixed typo in the shop module settings modal.
- Fixed a typo in the testimonial module settings that caused an unwanted comma to appear in the Visual Builder.
- Fixed a bug that caused design setting changes to shop modules made in the Visual Builder to apply to all shop modules on the page.
- Fixed a bug that caused an unwanted save warning to appear after having saved the page while the Inline Editor was currently editing a piece of text that contained a third party shortcode.
- Fixed a bug that caused quotes within module content to be replaced with HTML entities on the front end when used within global modules.
- Fixed a bug that caused an unwanted save warning to appear after leaving a page that contained certain types of global rows and sections.
	* style.css
	* functions.php
	* includes/builder/scripts/builder.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/class-et-builder-element.php

version 2.0.38 ( updated 3-23-17 )
- Fixed unwanted "Your Save Has Failed" warning that appeared even when the save was performed successfully when the Visual Builder was used with certain third party plugins.
- Fixed "Call to undefined function et_fb_enabled()" error that occurred when using some third party plugins that modify the WordPress loading flow.
- Fixed a bug that made it impossible to disable the Divi Builder if the original version of the page being restored contained no data. 
- Fixed compatibility issue with BackupGuard and other plugins that caused the Divi Builder to fail when attempting to edit modules due to the de-registering of the WordPress heartbeat.
- Added graceful failures for situations where the WordPress heartbeat fails to load or is turned off. The Divi Builder will no longer fail to load in these situations, but instead will load without the features that rely on the heartbeat.
- Fixed a bug that caused multiple rows of tab buttons to flow into tab content.
- Added missing localization for the contact module submit button.
- Removed empty paragraph tag that was added to CTA modules in the Visual Builder even when the content field was empty.
	* includes/builder/ab-testing.php
	* includes/builder/framework.php
	* includes/builder/main-modules.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/init.php
	* includes/builder/frontend-builder/app/lib/autosave.js
	* includes/builder/frontend-builder/app/lib/heartbeat.js
	* includes/builder/scripts/builder.js
	* includes/builder/functions.php

version 2.0.37 ( updated 3-20-17 )
- Fixed a bug that caused an unwanted save warning message to appear when leaving a recently-saved page that contained certain combinations of global rows and sections. 
- Fixed a bug in IE11 and below that made it impossible to open module settings in the Divi Builder for some modules.
- Fixed an issue where global modules that contained sub items (such as tabs and sliders) did not sync correctly when updated if multiple instances of the same module existed on a single page in the Visual Builder.
- Fixed an issue with row width units type that caused an incorrect sync of setting values between the Visual Builder and Backend Builder due to different default values in each version of the builder.
- Added rel attribute settings to the button module to allow for nofollow and other relationships to be set for links.
- Fixed a waypoints error that occurred in certain situations with background videos in the Visual Builder.
- Fixed a bug that sometimes caused locked modules to turn green instead of red.
- Custom CSS and Google Maps API Key will now be reset correctly when resetting theme options.
- Fixed a bug where formatting for tabs was mistakenly reset in the Visual Builder in some situations.
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/scripts/builder.js
	* includes/builder/main-structure-elements.php
	* includes/builder/main-modules.php
	* includes/builder/scripts/frontend-builder-scripts.js
	* core/functions.php
	* epanel/core_functions.php

version 2.0.36 ( updated 3-15-17 )
- Fixed a bug that caused custom units of measurement to be replaced with "px" when using range slider inputs in the Divi Builder.
- Fixed a bug that caused an unwanted save warning to appear when leaving the Divi Builder when the page contained a global row or section, even when no unsaved changes existed on the page. 
- Fixed a bug that caused multiple instances of the same global module, row or section to not sync correctly when one of the copies was edited in the Visual Builder.
- Fixed disappearing responsive editing tabs in the Visual Builder.
	* includes/builder/scripts/builder.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css

version 2.0.35 ( updated 3-12-17 )
- Fixed an issue that caused the Visual Builder to fail to load on websites hosted with WP Engine. This was due to the fact that WP Engine secretly disables the WordPress Heartbeat behind the scenes, which is something the Visual Builder uses for Auto Saves and Divi Builder Sync.
- Fixed issue with the Divi Builder content not loading in Firefox 52 due to the browser's mishandling of CSS animations.
- Fixed a bug that prevented custom CSS classes and ID's from appearing in the slider settings modal.
- Fixed a default settings value mismatch between the Visual Builder and Backend Builder for the parallax mode option for section background images.
- Fixed a bug that caused default image animation styles to be reset after saving a page in the Visual Builder if the Module Customizer had been used to adjust the default image animation behavior. 
- The TinyMCE interface for adding new links will now be correctly positioned above the module settings modal in the Visual Builder.
- Custom page background colors will now render inside of responsive preview modes in the Visual Builder.
- Number counter modules that include comas will now animate correctly.
- Fixed an issue where the tabs module lost it's custom colors after using the inline editor to edit text within a tab in the Visual Builder.
- Fixed a bug that caused unwanted spacing to be added to the top of blurb modules after having disabled icon/image placement.
- Fixed a bug that caused button border width options to render incorrectly in the Visual Builder.
- Fixed PHP warning that occurred when adding any empty social media follow module to the page.
- Gutter widths can no longer be set to "0" since "1" is actually the lowest gutter width value.
- Improved the way that draggable row width adjustments are stored in the Visual Builder editing history. 
- Changed the order of font style options in the Visual Builder so that they are the same as the Backend Builder.
- Custom responsive padding set for Specialty Sections will now render correctly.
- Prevented modules from being copied and pasted into locked rows. 
- Locked modules are no longer movable in the Visual Builder.
- Locked module settings windows will no longer be opened when double clicking a locked module.
- Fixed a fatal error that occurred in the cron used for split testing in certain situations. 
	* includes/builder/scripts/builder.js
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/main-modules.php
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-structure-elements.php
	* includes/builder/scripts/builder.js
	* includes/builder/ab-testing.php
	* inclues/builder/styles/style.css

version 2.0.34 ( updated 3-2-2017 )
- When editing a page in the Backend Builder and the Visual Builder at the same time, changes made in both tabs will be synced when switching between tabs to ensure that no changes are lost.
- Added auto-save functionality to the Visual Builder. The Visual Builder will now automatically save your work and back it up to your database just in case something goes wrong.
- Added browser backup functionality to the Visual Builder. Every time you make a change in the Visual Builder, your progress is stored to your browser so that it can be restored later just in case you lose your work.
- Added failed save detection to the Visual Builder. Every time you save your progress in the Visual Builder, Divi checks to make sure that the save completed successfully. If it fails, it lets you know and gives you the option to download a backup copy of your recent changes.
- It is no longer possible to move locked modules in the Visual Builder.
- Fixed error that occurred when applying custom responsive styles to an array of CSS selectors.
- Gracefully retired duplicate number text color settings in the number counter module settings.
- Improved the method used for sizing tabs in the tab module, helping to ensure that tab texts never overflow the boundaries of the tab.
- Added Edge compatibility mode for old version of IE.
- Improved default dropdown menu animations in IE.
- Improved compatibility with The Events Calendar plugin.
- Fixed an error that occurred when using the inline editor to adjust the duration text in the pricing table module in the Visual Builder.
- Fixed an issue that caused the settings modal to open at a smaller size than intended in certain situations.
- Improved the appearance of list items inside of text modules. Also ensured that list item line heights scales correctly with custom text sizes.
- Fixed an issue where custom button letter spacing was not applied correctly to the module.
- Fixed typo in the row settings modal.
- Added missing font subsets to various Google fonts.
- Fixed a bug that caused the circle counter module to not re-initiate after adjusting the parent row's padding in the Visual Builder.
- Improved the reliability of slider module re-renders in the Visual Builder.
- Fixed a bug that caused some settings to be synced to a global module when the settings had been selectively un-synced via the selective sync option in the Visual Builder.
- Disabled some keyboard shortcuts when settings modals are open to avoid accidental initiation.
- Removed duplicate placeholder that existed in the search module.
- Emails sent via the contact form module with no content in the main message fields will now still be sent.
- Custom color palettes will now work correct for modules with child elements, such as sliders and tabs.
- Fixed a bug that caused locked global modules to unlock themselves after saving.
- Fixed a bug where filterable portfolio and gallery modules would disappear if dragged and then dropped back in their original location in the Visual Builder.
- Improved the UX for creating lists in the Inline Editor. 
- Individual tab styles will now correctly override the parent tab module styles. 
	* includes/builder/scripts/builder.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/main-modules.php
	* includes/builder/ scripts/frontend-builder-global-functions.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/core.php
	* style.css

version 2.0.33 ( updated 2-8-2017 )
- Added Portrait Orientation mode to the gallery module. Old image thumbnails will need to be regenerated before using this option.
- Changed the words "Enable" and "Disable" to "Enabled" and "Disabled" in the Divi Role Editor to reduce confusion.
- Improved the method used for scaling up the search module button text when customized in the Divi Builder design settings. 
- Exporting layouts in the Visual Builder will no longer trigger the browser warning meant for leaving the page.
- Empty fullwidth sliders will now have a minimum height that allows for background images to be seen.
- Localized the text within the search module so that it can be easily translated.
- Fixed pluralization issues for the WooCommerce item count in the Divi header in some languages.
- The (+) button in the Visual Builder will no longer be overlapped by featured tables in the pricing table module.
- Fixed issue where contact form captcha text was overflowing the form field, cutting off some of the text.
- Improved the rendering of self-hosted video slider videos in the Visual Builder.
	* includes/builder/scripts/builder.js
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/main-modules.php
	* post_thumbnails_divi.php
	* style.css

version 2.0.32 ( updated 2-6-2017 )
- Fixed a bug that caused icons to change after upgrading to Divi 3.0.32. This change fixes the problem using the only known method, which is to revert the original change. The unfortunately result of this is that anyone who already upgraded to 3.0.32 and fixed their changed icons will have to fix them back once they upgrade to 3.0.33. We apologize for the trouble and suggest using post revisions to quickly restore.
- Custom colors set for featured pricing tables will now more reliably overwrite custom base colors for the module. 
- Improved slider rendering times and accuracy in the Visual Builder.
- Custom body font will now be aplied to the read more link in the blog module. 
	* includes/builder/scripts/builder.js
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/functions.php
	* includes/builder/scripts/frontend-builder-scripts.js

version 2.0.31 ( updated 2-3-2017 )
- Improved slider height consistency between various browsers.
- Removed unwanted spacing below the person module avatar that occurred in certain situations. 
- Custom line height adjustments made to the person module will no longer affect UI elements in the Visual Builder.
- Adjustments made to the "focus text color" option for login modules will now render correctly in the Visual Builder.
- Improved background size and positioning for backgrounds images used in the post slider module.
- The image upload button for the blurb module will now appear correctly in the latest version of IE.
- The Import/Export button in the Divi Library will now appear correctly in IE.
- Added missing icon for the Fullwidth Portfolio module in the Visual Builder.
- Fixed a bug that prevented videos in video slider modules from being automatically paused when switching between slides when video overlays were enabled for the module.
- Fixed a bug that caused the default button icon for the login module to not be applied correct in certain situations.
- When the "add new row" popup is initiated in the Visual Builder, and the popup appears outside the browser's viewport, the browser will now automatically scroll so that the popup is viewable.
- Fixed a bug that caused some icons to appear incorrectly in the Visual Builder when applying particular custom icons to various modules.
- Improved the way that settings modals in the Visual Builder adapt to changing viewport sizes to ensure that modals are never opened outside the viewport. 
- Improved the priority for toggle background color options to ensure that custom colors set for opened and closed states will override the general background color of the module.
- Improved the appearance of the login module when viewed on a tablet device while inside of a 1/2 column.
- Removed the duplicate envelope icon that appears during icon selection for custom button styles.
- Added missing default value to the fullwidth menu module that caused the default animation style to not be applied correctly.
- When using the Copy Styles feature, custom CSS and CSS classes will also be copied along with the rest of the module's design settings.
- Fixed a bug that caused the album title and author name to be hidden when either of the two fields were undefined in the Visual Builder.
- When a comment module is added to a post that has comments enabled, the default theme's comment form will be disabled more reliably. It will also be removed instantly will editing inside the Visual Builder.
- Improved the rendering of specialty sections in the Visual Builder, removing unwanted min-height values that were mistakenly applied to responsive preview modes.
- Improved the appearance of Divi Builder dropdown menus in Firefox.
- Fixed a bug that caused active Divi Builder split tests to cause errors in the Visual Builder.
- Removed background parallax options in the post slider module when featured images have been disabled for the module.
- Clicking outside of the Visual Builder, such as into the header or footer area, will now disable active right click menus. 
- Video slides that are cloned in the Visual Builder will now be rendered on the fly in the Visual Builder.
	* includes/builder/scripts/builder.js
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/styles/notification_popup_styles.css
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/main-modules.php
	* /core/functions.php
	* /epanel/custom_functions.php

version 2.0.30 ( updated 1-27-2017 )
- Fixed the misalignment of some settings toggles inside of the Divi Builder page settings modal.
- Fixed the mis-categorization of some settings that occurred after having performed Right Click > Copy Styles on a module.
- Contact form input field color adjustments will now be correctly applied to HTML placeholder text.
- Fixed a bug that made it impossible to close the settings modal of the gallery module after having switched the gallery format from grid mode to slider mode.
- When enabling background colors for the post title module, the default color will start with full opacity to avoid confusion when initially selecting a color.
- Custom border radius will now be correctly applied to all individual form fields in the contact form module.
- Custom icons will now be applied correctly when adjusting the custom button styles of the login module.
- Fixed visual delay when deleting contact form field titles in the Visual Builder.
- Added a closing bracket that was missing in the custom login form page template, which caused HTML validation issues.
- Fixed a bug that caused certain settings in the contact form module to be inherited from the previous contact form that was added to the page when adding multiple contact forms to the same page. 
- Fixed a bug that caused the "move" cursor to appear when hovering over divs inside of a block of text that was currently being edited in the Inline Editor.
- Improved the way that the video module generates thumbnail images automatically from YouTube videos.
- Improved the logic for detecting the need for pagination in the portfolio module, preventing "next" and "previous" links from appearing when there are no portfolio items on the next or previous pages. 
- Fixed a JS error that occurred when opening the history modal in the Visual Builder.
- Improved the way that the comments modules works while interacted with inside the Visual Builder.
- Letter spacing adjustments will now be applied correctly to the percent sign inside of circle counter modules.
- Improved the rendering of parallax background images in the Visual Builder.
- Fixed a bug that caused rendering errors in the Visual Builder when the portfolio module was set to show "0" posts.
- Arrow color adjustments made to the video slider modules will now render correctly in the Visual Builder.
	* includes/builder/styles/style.css
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/main-modules.php
	* includes/builder/functions.php

version 2.0.29 ( updated 1-24-2017 )
- New pins added to the map module in the Visual Builder will now appear correctly.
- Improved the rendering of multiple shortcodes inside of single text module in the Visual Builder.
- Fixed a bug where global modules attributes were not parsed correctly when they contained specific types of content. 
- When switching between child and parent module items, the user will now be placed back in the General tab within the settings modal.
- Fixed a bug that allowed incompatible row types to appear in the Add From Library tab when adding new rows inside of newly-created specialty sections in the Visual Builder.
- Fixed a bug that mistakenly correlated non-global library items with global library items when a non-global item was saved to the library from a global section, row or module on the same page.
- The "Best Sellers" sorting option will now work as intended in the WooCommerce shop module.
- Fixed a bug that resulted in a missing 404 error when multiple blog modules were placed on a single page and the user navigated to an empty page in the index feed.
- Fixed a bug that caused undefined css classes to appear for module sub items in the Visual Builder settings modal.
- Improved logic for detecting when to automatically pause a background video as it leaves the browser viewport.
- Fixed a bug that caused shortcode content to be saved as HTML after the inline editor in the Visual Builder was activated two consecutive times without modify the content of the module that contained the shortcode.
- Fixed an error that occurred when modifying slider header text sizes in the Visual Builder when a custom slider header text size had already been configured in the Module Customizer.
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/scripts/builder.js
	* includes/builder/main-modules.php
	* includes/builder/scripts/frontend-builder-scripts.js

version 2.0.28 ( updated 1-18-2017 )
- Fixed a WordPress 4.7 conflict that caused the Extra Theme Customizer to fail when a hex color value was saved to the database without a preceding # character.
- Fixed a conflict with WooCommerce and PHP7 that made all products inaccessible in the WordPress Dashboard.
- Fixed some subtle alignment issues with the range slider controls in the Visual Builder.
- Fixed a bug that caused all fields to be "required" when building a contact form in the Visual Builder.
- Fixed a bug that sometimes caused broken layouts when loading rows from the Divi Library into certain types of specialty sections in the Visual Builder.
- Fixed button alignment issues with the custom sidebar creation interface.
- Fixed a bug in TinyMCE and the Visual Builder that caused a mismatch between TinyMCE's Visual and Text modes after clearing a browser's cookies.
	* includes/builder/compat/woocommerce.php
	* includes/builder/functions.php
	* includes/builder/scripts/ext/widgets.js
	* includes/builder/styles/widgets.css
	* includes/builder/main-modules.php
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/core.php
	* scripts/theme-customizer-controls.js

version 2.0.27 ( updated 1-17-2017 )
- Fixed a bug that made it impossible to type into the content area of the code module in the Visual Builder.
- Improved the mechanism for exiting the inline editor in the Visual Builder. After activated, pressing ESC or clicking outside the editable area will *fully* disable the inline editor.
- Improved the hierarchy of background image options in the Theme Customizer, adding clarity to each options dependency on each other.
- Fixed a bug with the Divi Portability System that made it impossible to export items from the Divi Library when they were added to a child category. 
- Fixed some inconsistencies with the Divi Role Editor inside the Visual Builder.
- Add Row & Add Module buttons will no longer overlap in the Visual Builder when both the module's parent section and row paddings have been reduced to 0.
- Improved the appearance of the audio shortcode when used inside of modules with inline editing capabilities.
- Font underline options for the login module will now work correctly for all text in the module.
- Improved compatibility with WooCommerce and fixed a permalink error that occurred in some situations when using the Divi Builder on WooCommerce page templates. 
- Fixed an issue with custom meta content colors not being applied correctly in the blog module.
- Removed extra padding that was mistakenly added to all button modules when viewed in the Visual Builder.
- Fixed JavaScript error that occurred in the Module Customizer due to a WordPress 4.7 conflict. 
- Fixed a typo in the fullwidth header module help text.
- Google API Key will now appear correctly in the Visual Builder settings modal.
- Improved the appearance of the buttons in the Visual Builder settings modal during the opening animation.
- Improved some logic involved with the deprecated "Use Padding On Mobile" option which has been replaced with the builder's responsive editing feature.
- Fixed a bug that caused draggable padding indicators to not appear when first hovering over rows inside of specialty sections.
- Product category filters are now available for all shop module variations.
- When multiple instances of a single global module exists on a page, changes made to any copy will be automatically synced with the duplicates without saving or refreshing when using the Visual Builder.
- The contact form module now uses HTML placeholders. This fixes an issue with empty field values being included in emails.
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-modules.php
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/compat/woocommerce.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* core/admin/includes/class-portability.php

version 2.0.26 ( updated 1-2-2017 )
- Fixed a bug that caused unwanted list items to be added to pricing tables while editing the module in the Visual Builder.
- Fixed a bug that caused an unwanted re-render to occur while navigation the pricing table module settings modal in the Visual Builder.
- Fixed a error that occurred when clicking into the accordion module's in-line-editable content in the Visual Builder before the accordion's opening animation finished.
- Improved the speed of adding new rows in the Visual Builder when rows are added between two existing rows. 
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js

version 2.0.25 ( updated 12-29-2016 )
- Countdown Timer header font size options will now work correctly on all devices. 
- Currency values with more than 3 characters will now align themselves properly in the pricing table module.
- Gracefully retired the "All Caps" font option in favor of the new font style options added in Divi 2.4. 
- Improved the appearance of bar counters when using very low percentage values.
- Fixed error that occurred when comparing color values in the Visual Builder when there was a case mismatch. 
- Circle counters will now re-initiate correctly after toggling the responsive preview modes in the Visual Builder.
- The underline font style for tabs will now work correctly.
- Improved mechanism for exiting the inline editor when clicking outside the editable area in the Visual Builder.
- CSS saved in the Theme Options will no longer strip slashes, which are often used to add icon font content. 
- Added select and clear buttons to the color pallet color picker in the Divi Builder page options.
- Empty sections will now be saved with an empty row within it, instead of being stripped, when saving in the Visual Builder.
- Fixed a bug that allow previously applied and then disabled responsive editing values to be retained even after responsive editing was disabled for a specific setting in the Divi Builder.
- Fixed a bug in the Visual Builder the prevented the interface from extending with the browser window when extended past the width at which the builder was loaded.
 	* includes/builder/main-modules.php
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-structure-elements.php
	* includes/builder/functions.php
	* includes/builder/core.php
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/frontend-builder-global-functions.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* epanel/core_functions.php
	* style.css

version 2.0.24 ( updated 12-22-2016 )
- Emoji will now be rendered on the fly in the Visual Builder.
- Backward slashes added to a page's Custom CSS will now be correctly decoded on the front-end.
- Ampersands will now be decoded when used in the subject of a contact form module's email.
- Removed unneeded re-render that occurred when opening the page settings modal in the Visual Builder.
- Fixed an issue where values generated during responsive editing in the Visual Builder were incorrect in certain situations.
- The inline editor will not longer be activated automatically when click the (+) button to open toggles and accordions in the Visual Builder.
- Fixed height discrepancies of empty slider modules when rendered in Firefox.
- Fixed an error that occurred in BuddPress when the "grab the first image" option was enabled in the Divi Theme Options.
- Improved page position detection when "scroll to next section" buttons in the Fullwidth Header module is clicked.
- Social network names will now use the correct capital and lowercase letters when displaying network names. 
- Add modules buttons will now appear correctly inside of empty rows when responsive preview modes are enabled in the Visual Builder.
- The Divi Library will now be synced and re-loaded whenever a new library item is saved in the Visual Builder.
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/functions.php
	* includes/builder/scripts/builder.js
	* includes/builder/main-modules.php
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/styles/frontend-builder-style.css
	* epanel/custom_functions.php
	* core/functions.php

version 2.0.23 ( updated 12-16-2016 )
- Fixed a bug that caused the gallery module to sometimes disappear after moving it in the Visual Builder after having duplicated the module several times.
- Dot navigation will now correctly ignore sections disabled on particular breakpoints. 
- The "Exit Visual Builder" button will now function correctly when editing Divi Library items.
- The Code Module will no longer transform single quotes into double quotes, which broke some code formatting previously due to wp_texturize().
- Divi Builder shortcuts are now correctly disabled when the Divi Builder has been disabled.
- Fixed an error that occurred in the Divi Role editor due to empty roles array that exists in some situations. 
- Some WooCommerce product filters that were previously disabled are now usable.
- All shortcodes will now be stripped from post excerpts when automatically generated in the blog module.
- Fixed line-break height inconsistencies that occurred when using the Inline Editor inside the Visual Builder.
- Fixed an error that occurred when the gallery module post number was set to 0 in the Visual Builder.
- Fixed header padding issues that occurred in the Theme Customizer when the header background color contained RGBA values with alpha-transparencies.
- Fixed an issue with dragging and dropping newly-duplicated fullwidth modules in the Visual Builder.
- Fixed a bug that caused double quotes to be stripped from the Custom CSS fields of sub-module items such as contact form module fields.
- Fixed a bug that caused line breaks and paragraph tags to be added to code modules in certain situations.
- Fixed a bug that caused blank settings modals to appear when adding 2 new text modules, and then adding a third text module between the 2 previous text modules in the Visual Builder.
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-structure-elements.php
	* includes/builder/main-modules.php
	* includes/builder/scripts/builder.js
	* includes/builder/core.php
	* includes/builder/functions.php
	* includes/builder/scripts/frontend-builder-scripts.js

version 2.0.22 ( updated 12-6-2016 )
- Fixed issue with quotes being escaped when saving Custom CSS in the Theme Customizer CSS panel added in WordPress 4.7. If your CSS got escaped by mistake, you can copy and paste your code and "un-escape" it using this online tool: http://www.freeformatter.com/javascript-escape.html
- Responsive Preview mode in the Visual Builder will now return to its default state after un-snaping the settings modal from the side of the page.
	* includes/builder/frontend-builder/bundle.js
	* epanel/custom_functions.php
	* epanel/core_functions.php

version 2.0.21 (updated 12-5-2016 )
- Added support for WordPress 4.7's new Custom CSS setting in the Theme Customizer. This will now be synced with the Custom CSS area in the Extra Theme Options and can be edited using either interface.
- Added support for WordPress 4.7's new user-specific localizations. The Divi Builder interface will now use user-specific language settings.
- Custom button icons will now show up correctly within the comment module. 
- Fixed a bug that caused the default scroll down button in the fullwidth header module to use the wrong icon when viewed in the Visual Builder.
- Truncated extra long library item titles in the Visual Builder.
- Correctly applied CSS priority to tab module background colors when applied in the advanced design settings tab.
- Custom background colors for individual tabs in the tabs module will now cover the entire background area. 
- Fixed an issue that caused custom header font sizes to not work correctly in the fullwidth slider module.
- Embed codes will now render within the content of blog modules.
- Added z-index map and ensured all tooltips appear above Visual Builder UI elements. 
- Fixed some design inconsistencies in the Visual Builder when in RTL mode. 
- Fixed an issue that caused the save draft button text to fall onto a second line after saving in the Visual Builder.
- Disabled click events in the Visual Builder for audio module volume controls to prevent a second browser window from being opened when adjusting volume in the Visual Builder. 
- Settings tooltips in the Visual Builder will now prevent themselves from opening below page settings buttons, which can cause modal buttons to be obstructed. 
- Added missing tooltip for modal snap icon in the Visual Builder.
- Custom padding required for button module icon settings will now correctly override custom icon settings applied via the Theme Customizer.
- Links inside of settings descriptions in the Visual Builder are now clickable.
- Fixed a bug that caused footer z-index issues in the Visual Builder when zooming and and out very quickly.
- Fixed error that occurred in some cases when projects were rendered in the Visual Builder that did not contain featured images.
- Fixed various issues related to the post slider modules's featured image placement on mobile.
- Fixed an error that occurred when a blog module contained a post that contained another blog module that also contained a post that contained a blog module that has the parent module in the post feed (which contained the original blog module in the loop).
- Fixed a compatibility issue with Yoast SEO Premium.
- When editing the login module, input fields will render as if you were a logged out user so that it's easier to adjust the field's design settings in the Visual Builder.
- Fixed some RTL issues in the Divi Theme Options and the Divi Portability popup.
- Improved the UX of the drag and drop interface in the Visual Builder. It's now much easier to drag sections to your desired location.
- Fixed an error that made it impossible to drag and drop newly-added portfolio modules in the Visual Builder in some situations.
- CSS classes will now appear when you click the help icon in the Visual Builder when using the CSS tab and adjusting custom CSS fields.
- Fixed a compatbility issue with changes made to the Theme Customizer in WordPress 4.7.
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/main-modules.php
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/main-modules.php
	* includes/builder/core.php
	* includes/builder/functions.php
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/view.php
	* includes/builder/scripts/builder.js
	* epanel/core_functions.php
	* epanel/custom_functions.php
	* epanel/custom_functions.php
	* epanel/css/panel.css
	* core/admin/css/core.css
	* core/admin/css/portability.css
	* includes/builder-integrations.php
	* framework/functions.php
	* includes/core.php
	* includes/customizer.php
	* styles/css/theme-customizer-controls.css

version 2.0.20 ( updated 11-22-2016 )
- Fixed the disappearing buttons bug that occurred when custom buttons styles where enabled and the "add button icon" setting was disabled. 
- Letter spacing will now be correctly applied to button modules when a non-standard unit of measurement is applied to the settings input.
	* includes/builder/class-et-builder-element.php

version 2.0.19 ( updated 11-21-2016 )
- Borders will now be applied to the blog module when in fullwidth mode. Previously the border options only worked in grid mode. 
- Fixed issue where input field text colors were not applied correctly to placeholder text in some browsers. 
- Individual bar counter item design settings will now correctly override the parent module design settings.
- Fixed an issue with CSS specificity of the pricing tables module that caused certain settings to not render correctly.
- Fixed various button icon alignment issues that arose with certain button configuration combinations. 
- Fixed an issue in Chrome that caused icons in the builder to become blurry after fading in using CSS animations.
- Fixed mishandling of certain module sub items in the Visual Builder that caused certain layouts to not load correctly. 
- Fixed broken icon issue in the fullwidth header module that caused the backend builder to fail to load correctly in some situations.
- Fixed a bug in the Visual Builder that caused items inside of gallery modules to not render after the module was moved to a new location.
- Fixed some line height issues in the countdown timer module.
- Font size adjustments made to the search module will now render correctly in the visual builder.
- Removed the ability to change column structures when editing a global row in the Visual Builder. 
- Fixed visual issue that occurred with the filterable portfolio module when switching between desktop and smartphone responsive previews in the Visual Builder.
- Fixed issue with custom margin not being applied to the blurb module correctly in the Visual Builder.
- Added default values for the gray-scale setting in the map module.
- Fixed issue that caused custom gutter widths to not be applied correctly to the filterable portfolio module in some situations. 
- Fixed an issue with the initial rendering of filterable portfolio categories in the Visual Builder.
- Fixed bug that allowed adding columns to the wrong area inside of specialty sections.
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/main-modules.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/styles/style.css
	* includes/builder/scripts/builder.js
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/class-et-global-settings.php

version 2.0.18 ( updated 11-15-2016 )
- Fixed issue where the Visual Builder save button overlayed the save button inside of the WordPress media uploader, making it difficult to click the correct save button when adding a new image. 
- Pricing Table modules with a single table placed into a 1 column row will now correctly extend the full width of the page on tablets.
- Improved mechanism for escaping the inline editor in the Visual Builder.
- Slider controls will no longer be overlapped with slider content when slides are placed in small columns.
- Improved accordion and toggle module animations in the Visual Builder.
- Fixed issue where dot style navigation buttons were not removed correctly in the Visual Builder when switching between navigation styles in the video slider module.
- Embedded videos in slider modules will now be resized correctly in the Visual Builder.
- Toggle and accordion module open/closed state will now render correctly in the Visual Builder.
- Line height adjustments made to the search module will now be applied correctly on the front end.
- Dot navigation will now appear correctly inside of video slider modules when self-hosted videos are used in the slider.
- Social media icons will now render correctly in the Visual Builder when activated in the Person module, placed below the content.
- Fixed an issue with the way padding was applied to the search module. Also improved the way the module applies percentage based padding. 
- Body font style options will now work more consistently for the Email Optin module.
- Fixed typo in the Increase Font Size tooltip in the Visual Builder.
- Fixed a bug where certain fonts with sub font weights were not applied correctly in the Visual Builder's Inline Editor.
- When selecting text inside of a slider in the Visual Builder, the swiping motion will no longer trigger the slide transition.
- Fixed a bug that caused an unwanted "Insert Row" modal to appear after importing layouts into the Visual Builder.
- Properly removed irrelevant settings in the Blog module settings window when grid mode is activated.
- Added default value to the circle counter circle color opacity setting.
- Importing layouts into the visual builder will now properly record an item in the editing history window.
- Fixed a bug that made it impossible to move modules that were already on the page into the inner rows of newly created specialty sections in the Visual Builder.
- Added missing admin label setting to inner rows inside of Specialty Sections.
- Fixed a bug that caused parallax settings to not work correctly when applied to columns.
- Fixed visual anomaly that occurred in the Visual Builder when CSS Parallax mode was used for sliders.
- Fixed a bug that caused slides within sliders that were placed inside of small columns to not be re-sized correctly.
- Slide content will now be centered vertically when slides of different heights are used in the same slider.
- Fixed a bug that made it impossible to play videos inside of video sliders when custom thumbnail images where applied to the main video.
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/main-modules.php
	* includes/builder/comments_template.php
	* includes/builder/scripts/frontend-builder-global-functions.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/class-et-global-settings.php

version 2.0.17 ( updated 11-07-2016 )
- Fixed a problem that caused some websites to not receive theme update notifications when hosted on servers using old versions of OpenSSL.
- Added backup API call for theme updates due to the fact that some countries were unable to connect to particular IP ranges, and to improve reliability in the event of network downtime.
- Fixed a bug that made it difficult to click (+) buttons that appeared below bar counter modules with a single bar.
- Fixed a bug in the Visual Builder that caused slider slides to disappear when their content was empty after having been added in the Backend Builder and then re-saved in the Visual Builder.
- Fixed an issue where certain localized characters did not load properly on servers running PHP 5.3 and below.
- Divi Builder shortcodes will now render correctly when placed inside of Post Slider modules.
- Improved compatibility of the Comments module when used in third party themes and added using the Visual Builder.
- Added delay to the Visual Builder data validation to prevent interruption while typing in settings values.
- Row outlines that appear for empty rows in the Visual Builder will no longer overlay module settings buttons on hover.
- Fixed an JS error that occurred when enabling custom button styles in the Visual Builder in some cases.
- Removed irrelevant caption design settings from the gallery module modal when grid mode is disabled.
- Removed irrelevant hover icon design settings from the filterable portfolio module when grid mode is disabled.
- Fixed an error that occurred when an empty row was saved to the Divi Library and then that empty row was loaded onto an empty page (yep, that happened).
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/css/style.css
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-modules.php
	* includes/builder/functions.php
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/scripts/builder.js
	* epanel/custom_functions.php
	* core/admin/includes/class-updates.php

version 2.0.16 ( updated 10-31-2016 )
- Builder modules will now render correctly inside of blog module post content.
- Updated various builder dependencies to their latest versions.
- Fixed a bug that caused global modules to not sync correctly in certain situations. 
- Improved CSS selectors used for the Social Media Follow module to ensure custom CSS and design styles were correctly applied.
- Fixed a bug that caused update notifications to appear in unwanted areas in the WordPress admin.
- Fixed issue where certain settings did not sync correctly in global modules using selective sync in some situations.
- Fixed a JS error that occurred on saving for some customers.
- Prevented settings modals in the Visual Builder from being hidden when content area is set to overflow hidden via custom CSS.
- Circle Counter modules will now interpret empty values as "0" to avoid unwanted nan value from being output while editing.
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/assets/style.css
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-modules.php
	* includes/builder/main-structure-elements.php
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/scripts/builder.js
	* core/admin/includes/class-updates.php

version 2.0.15 ( updated 10-25-2016 )
- Improved the rendering of third party shortcodes in the Visual Builder, specifically LayerSlider, Revolution Slider and Essential Grid shortcodes.
- Pressing "?" in the Backend Builder will trigger a popup that lists all available keyboard shortcuts for the Divi Builder.
- You can now use arrow keys in the Visual Builder to select items when adding new modules, rows and sections.
- HTML5 video embeds will now render correctly in the Visual Builder when used for video post formats in the blog module.
- Enhanced the appearance of video post formats in the blog module.
- Fixed a bug in the Visual Builder that caused global rows to inherit background colors from inner modules.
- Collapsed rows and sections will now remain collapsed after being saved in the Visual Builder.
- Fixed a bug in the Visual Builder that caused some UI elements to render incorrectly when exiting the builder as a  non-admin user.
- Added responsive editing capabilities to "max width" settings in the Visual Builder.
- The WordPress admin bar will no longer overlap the Visual Builder settings modals when responsive previews are active.
- Removed unneeded http request for non-existent featured images in the Visual Builder.
- Fixed a bug that made it impossible to click the (+) button below fullwidth post title modules in the Visual Builder.
- Improved the drag & drop experience for modules within specialty sections in the Visual Builder.
- Fixed spacing issue with checkboxes in the Visual Builder.
- Fixed a bug that caused fullwidth menu modules to not extend the fullwidth of the parent section when parallax background images were applied.
- Fixed a bug that caused the list of available modules to be incorrect when clicking the "add new module" button below a blog module in the Visual Builder.
- Fixed a bug that caused inner rows to disappear when copying and pasting specialty sections.
- Improved position detection for tooltips in the Visual Builder.
- Fixed bug that prevented the page settings modal from being closed after initiating using the "o" keyboard shortcut. 
- Fixed an error that occurred when using the color picker in the Visual Builder to adjust the "hover icon color" for image modules.
- Fixed a bug in the Visual Builder that caused line breaks inside of Custom CSS text fields to be converted into br tags.
- Line breaks added from a Linux computer will now be correctly stripped when applicable.
- Responsive Editing tabs will now be automatically synced with the active responsive preview mode while editing in the Visual Builder.
	* core/admin/includes/class-portability.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/app/bundle.js
	* includes/builder/styles/style.css
	* includes/builder/main-modules.php
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/template-preview.php
	* includes/builder/functions.php
	* includes/builder/core.php

version 2.0.14 ( updated 10-18-2016 )
- Added new keyboard shortcuts to the Divi Builder.
- Fixed some logic errors in the saving of global modules.
- Fixed an error that occurred sometimes on fresh installs related to A/B testing functions.
- Modals in the Visual Builder are now prevented from surpassing the top of the browser viewport. 
- Fixed some typos in the Visual Builder.
- If a settings modal's size or position exceeds the bounds of the browser viewport, the modal will be forced back into view automatically.
- "Make Section Fullwidth" will now work as expected for Specialty Sections in the Visual Builder.
- Improved the UX of range sliders in the Divi Builder to adapt when manual values input are greater than the default range.
- Fixed a bug that caused range input values to inherit the incorrect value when toggling responsive editing mode in the Visual Builder.
- Empty Specialty Sections will now render correctly in the Backend Builder after being added in the Visual Builder.
- Native WordPress shortcodes will now render correctly within post content inside of Blog Modules.
- Fixed visual anomaly in the Slider module when multiple true parallax slides were rendered in the VIsual Builder. 
- Slider images will now appear correctly vertically centered when first loaded in the Visual Builder. 
- Fixed browser compatibility issues with Edge and IE 11 that affected the Inline Editor color picker.
	* includes/builder/frontend-builder/app/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/ab-testing.php
	* includes/builder/main-modules.php
	* includes/builder/scripts/builder.js
	* includes/builder/styles/style.css
	* includes/builder/functions.php

version 2.0.13 ( updated 10-07-2016 )
- Fixed an error that occurred when using the Visual Editor mode in TinyMCE that caused new module items, such as Slides and Accordion toggles to fail to save.
- Made it easier to access settings buttons for Code modules that have a height of 0px. 
- Fixed column padding inconsistencies when rendered in the Visual Builder.
- Fixed a bug that caused the visual padding marker to overlay Specialty Section buttons in the visual builder.
- Right Click will now work correctly when right clicking on rows inside of Specialty Sections in the Visual Builder.
- Fixed a bug that caused some row contents to be hidden inside of Specialty Sections when using the responsive preview modes in the Visual Builder.
	* includes/builder/frontend-builder/app/bundle.js
	* includes/builder/frontend-builder/app/assets/css/style.css
	* includes/builder/helpers.php

version 2.0.12 ( updated 10-06-2016 )
- Fixed a bug that caused sub module item modals (such as individual slide items) to close when the cursor left the confines of the modal.
- Fixed PHP warning that appeared when WordPress debug was enabled when launching the builder in some situations. 
- Fixed a bug with Lock and Disable keyboard shortcuts that allowed the hotkeys to be mistakenly triggered while typing if the cursor exited the parent module and hovered over a different module while simultaneously pressing the D or L keys.
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/app/bundle.js

version 2.0.11 ( updated 10-05-2016 )
- Fixed a JS error that occurred when first clicking into a color picker input field in the Visual Builder that had previously not be used.
- Adjusted the switch tab keyboard shortcut so that it no longer conflicts with standard tabbing functionality in the browser.
- Fixed a JS error that occurred when pressing the Esc key while currently focused on a module settings input field in the Visual Builder.
- Made it easier to edit Code modules in the Visual Builder when they have a visible height of 0px. 
	* includes/builder/frontend-builder/app/bundle.js
	* includes/builder/frontend-builder/app/assets/css/style.css
	* js/theme-customizer.js

version 2.0.10 ( updated 10-04-2016 )
- Fixed a bug that caused auto-saves to be re-applied when editing a post, reverting recent changes while editing a post using the default editor. Line breaks were also stripped in the process.
- A "#" character will now be added automatically to hex values added in the Visual Builder color picker if the user forgets to add them when typing custom color codes. 
- Backslashes will no longer be stripped from text content when saving in the Visual Builder. 
- Fixed a fatal error the occurred when using the Post Navigation modules with an empty taxonomy filter.
	* includes/builder/frontend-builder/app/bundle.js
	* includes/builder/functions.php
	* includes/builder/main-modules.php
	* includes/builder/scripts/builder.js

version 2.0.9 ( updated 10-03-2016 )
- Added a new exit modal that warns you when you are leaving the Visual Builder without saving. This modal includes options to conveniently "Save & Exit" or "Discard & Exit."
- Stripped shortcodes from the output of Divi modules that render complete post content, such as the Blog Module when set to "Show Content." Unfortunately WordPress does not fully support nested shortcodes.
- When both the Backend Builder and Visual Builder are open in separate tabs for the same page, changes made and saved in the Visual Builder will be synced to the Backend Builder and updated automatically as part of the WordPress heartbeat. 
- Fixed a bug that caused changes to not be saved in the Visual Builder when the Visual Builder was launched from an unsaved "Preview" page.
- Improved compatibility with various third party plugins by filtering nested the_content() calls. 
- Improved compatibility with various third party plugins that use wp_head actions inside of admin-ajax calls.
- Fixed an error that sometimes occurred when moving lonely rows to a new section very very quickly. 
- Adjusting mobile row heights in the Theme Customizer will no longer affect left/right padding values.
- Fixed a bug that caused slider background size options on the second slide in the slider to be overwritten by the first slide's settings in certain situations.
- Improved the undo/redo mechanism to more accurately record changes made using range sliders in the Visual Builder.
- Enforced strict row width units in the custom row width option to avoid confusion when editing.
- Added TinyMCE options for table editing in the Visual Builder module settings modal.
- Fixed a bug that caused right click to launch the settings modal if a tooltip  was open at the same time in the Visual Builder.
- Fixed JS error that occurred when clicking the Insert Link icon in the Inline Editor.
- Removed visible height created by empty editable text areas in the Visual Builder that caused slight differences in vertical spacing when compared to the front-end.
- Fixed an issue when enqueuing Google fronts that included multiple words. All Google fonts will now be loaded correctly when applied using the Visual Builder.
- Added missing sidebar to the Add Media modal when accessed via the Visual Builder.
- Fixed a bug that caused button background color customizations to not appear in the Visual Builder when applied for the first time in certain situations.
- RTL styles will no longer be applied to the Visual Builder when translations have been disabled in the Theme Options.
- The Visual Builder will now remember your customized UI preferences, such as modal size and position, after a page has been saved.
- Removed the slide in animation from Toggle modules in Safari due to a unfixable visual glitch that occurs upon jQuery slide.
	* includes/builder/main-structure-elements.php
	* includes/builder/main-modules.php
	* includes/builder/core.php
	* includes/builder/functions.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/app/assets/css/style.css
	* includes/builder/frontend-builder/app/bundle.js
	* includes/builder/frontend-builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/init.php
	* includes/builder/frontend-builder/rtl.php
	* includes/builder/frontend-builder/view.php
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/functions.php
	* includes/builder/core.php
	* core/admin/css/core.css
	* core/admin/css/portability.css
	* core/admin/js/core.js
	* epanel/custom_functions.php

version 2.0.8 ( updated 09-27-2016 )
- Fixed a bug that caused the page not to save in the Visual Builder when a section on the page was disabled on all three breakpoints.
- The button module will no longer throw a JS error when its background color is adjusted.
- Added a theme option to disable the Google Maps API. Disabling the API call may improve compatibility with third party plugins that duplicate the same API call. 
- Stripped "www." from the Contact Form from address to avoid certain spam filters. 
- Floating dot navigation will now update automatically when adding new sections in the Visual Builder.
- Clearing colors in the Visual Builder module settings will now more effectively return the element to its default color.
- Improved the appearance of the Visual Builder tooltip preloader.
- The responsive preview modes in the Visual Builder will now more accurately display text alignment settings. 
- Blog pagniation will now display correctly in the visual builder when using the WP-Pagenavi plugin.
- Improved the appearance of the review tab on WooCommerce product pages.
- Improved usability of "modal snap" left/right in the Visual Builder while Boxed Layout mode is enabled.
- Fixed a bug that caused inconsistencies when dragging and dropping rows in the Visual Builder within certain layouts containing particular section types. 
- Improved the appearance of module move animations.
- Active link color adjustments will now render correctly when applied to the Fullwidth Menu module.
	* options_extra.php
	* epanel/core_functions.php
	* includes/builder/framework.php
	* includes/builder/assets.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-structure-elements.php
	* includes/builder/functions.php
	* includes/builder/main-modules.php
	* includes/builder/scripts/builder.js
	* includes/builder/styles/style.css
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/scripts/frontend-builder-global-functions.js
	* includes/builder/frontend-builder/app/assets/css/style.css
	* includes/builder/frontend-builder/app/bundle.js

version 2.0.7 ( updated 09-23-2016 )
- Fixed the issue that caused the Visual Builder to not load on static homepages in certain hosting environments. 
- The Visual Builder will now load a bit faster. 
- Added informational tooltips to all in-line editor icons in the Visual Builder.
- Fixed JavaScript error that occurred when clicking the floating side navigation while inside the Visual Builder.
- Fixed a bug that caused unused fonts to be enqueued on the front-end after using the In-line Editor.
- Adjusted button module CSS priority to ensure button appearance is the same in the Visual Builder and the front-end. 
- You can now type custom hex color values into the Visual Builder color picker.
- Fixed a bug that caused the blog module to render incorrectly when adjust post count during Ajax load in the Visual Builder.
- Added units and values to draggable padding indicators in the Visual Builder.
- Holding [shift] while dragging section/row padding will now limit padding to 10px increments to make it easier to adjust to commonly-used values.
- Holding [shift]+[alt] while dragging section/row padding will now drag the padding of the opposite side at the same rate, making it easy to achieve spacing conformity. 
- Holding [alt] while dragging section/row padding will limit the padding value to less than or equal to the opposing padding value. 
	* includes/builder/frontend-builder/app/assets/css/style.css
	* includes/builder/frontend-builder/app/bundle.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/framework.php
	* includes/builder/helpers.php
	* includes/builder/main-structure-elements.php
	* includes/builder/functions.php

version 2.0.6 ( updated 09-20-2016 )
- Fixed padding and margin inconsistencies in the Visual Builder when compared to the front-end. 
- Fixed bug that caused Portfolio pagination to display when turned off with the WP-PageNavi plugin enabled.
- Fixed bug that caused the Max Width setting in Image Modules to not save correctly.
- Modules will now be colored correctly in Visual Builder in all instances when used as a Split Testing subject or goal.
- Prevented Visual Builder tooltips from overlaying the WordPress admin bar. 
- Text within Fullwidth Header modules will now be vertically centered correctly in IE.
- 4-Column rows will now break down correctly when toggling the responsive preview modes in the Visual Builder.
- Fixed a JavaScript error that occurred when Split Tests were ended but failed to save correctly.
- Fixed an issue with certain special characters being saved incorrectly in the Visual Builder.
	* style.css
	* includes/builder/frontend-builder/app/assets/css/style.css
	* includes/builder/frontend-builder/app/bundle.js
	* includes/builder/main-modules.php
	* includes/builder/styles/frontend-builder-style.css
	* includes/builder/scripts/frontend-builder-scripts.js

version 2.0.5 ( updated 09-16-2016 )
- Columns with equalized column heights will now appear correctly in the Visual Builder while responsive previews are active. 
- Unpublished posts will no longer appear in post feeds while editing inside the Visual Builder.
- The blog module will no longer fail to load when switching quickly between different layout modes during Ajax load. 
- Improved compatibility with some caching and CSS minification plugins. 
- Improved compatibility with the Jetpack plugin.
- Fixed a bug that caused inner rows within Specialty Sections to use the incorrect column class when added via the Visual Builder.
- "Remove Space Below Image" option for Image Modules will now work correctly inside the Visual Builder.
- Added additional TinyMCe buttons to the text editor in the Visual Builder module settings modal.
- Made it easier to drag Fullwidth Section padding in the Visual Builder.
- Improved CSS selectors used for Tab Module design settings.
- Improved error message handling for Divi Library imports.
- Special characters within the Load From Library tooltip will now be correctly decoded.
- Removed row button group text overlap when using the Inline Editor. 
- Fixed JavaScript error that occured during responsive preview in the Visual Builder.
	* includes/builder/frontend-builder/app/assets/css/style.css
	* includes/builder/frontend-builder/app/bundle.js
	* includes/builder/main-modules.php
	* includes/builder/main-structure-elements.php
	* includes/builder/frontend-builder/view.php
	* frontend-builder/app/assets/vendors/*

version 2.0.4 ( updated 09-14-2016 )
- You can now type color codes into the in-line editor's color input field.
- Removed unwanted padding below columns that resulted in a different amount padding in the Visual Builder when compared to the front end.
- Adjusted tooltip tabs to work better in longer words in alternate languages. 
- CTA buttons will now remain hidden in the Visual Builder when no URL is entered. 
- Fixed issues with the email optin module not working in Firefox. 
- Improved compatibility with third party modules. 
- Custom text color will now correctly override the module's base color. 
- Fixed issues with the Visual Builder in IE due to unsupported ES2016 syntax.
- Fixes issues with adding modules into specialty sections. 
	* includes/builder/frontend-builder/app/bundle.js
	* includes/builder/frontend-builder/app/assets/styles/style.css
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/main-modules.php
	* includes/builder/class-et-builder-element.php

version 2.0.3 ( updated 09-12-2016 )
- Fixed issue with animated images not appearing outside the Visual Builder.
	* includes/builder/scripts/front-end-builder-scripts.js

version 2.0.2 ( updated 09-12-2016 )
- Fixed issue with the Fullwidth Code Module that caused the Visual Builder to fail to save. 
- Fixed an issue with the Portfolio Module that caused the Visual Builder to fail to save for some users.
- Private pages saved via the Visual Builder will now be saved correctly as private.
- Fixed various rendering issues with the Audio module when viewed inside the Visual Builder.
- Disabled modules will now show their current visibility-state while using the responsive preview toggles. 
- Fixed typo in the Row width unit switcher in the Visual Builder.
- Fixed issue with (+) overlap when footer menu and footer widgets are not present. 
- Fixed issues with Post Navigation module rendering inside the Visual Builder.
- Right click menu now works correctly for specialty sections.
- In-line Editor will no longer leave the screen view-port when activated at the top or to the sides of the browser.
- Improved error handling for library items loading.
	* includes/builder/front-end-builder/app/bundle.js
	* includes/builder/front-end-builder/app/style.
	* includes/builder/class-et-builder-element.php
	* includes/builder/front-end-builder/helpers.php

version 2.0.1 ( updated 09-08-2016 )
- Fixed various third party module conflicts in the Visual Builder.
- Fixed issue with content width misalignment in the Visual Builder while boxed layout was enabled.
- Fixed occurrences where the in-line editor did not save properly
- The save button will now appear automatically when attempting to leave the Visual Builder without saving. 
- Fixed issues with IE11 and the Slider Module when viewed inside the Visual Builder.
- Fixed problem with the rendering of the divider module height setting in the Visual Builder.
	* includes/builder/front-end-builder/app/bundle.js
	* includes/builder/front-end-builder/app/style.css
	* includes/builder/front-end-builder/helpers.php
	* includes/builder/front-end-builder/init.php
	* includes/builder/front-end-builder/core.php
	* includes/builder/front-end-builder/main-modules.php
	* includes/builder/front-end-builder/main-structure-element.php
	* includes/builder/front-end-builder/et-builder-class-element.php
	* footer.php
	* functions.php
	* js/theme-customizer-controls.js
	* js/theme-customizer.js
	* includes/functions/sanitization.php
	* css/theme-customizer-controls-styles.css

version 2.0 ( updated 09-07-2016 )
- Introducing the brand new Visual Builder: https://www.elegantthemes.com/blog/theme-releases/divi-3
	* includes/builder/*
	* single-et_pb_layout.php
 
version 1.3.11 ( updated 08-18-2016 )
- Fixed the issue with the Divi Builder not loading on some websites due to loading delay of TinyMCE in the latest version of WordPress.
	* includes/builder/scripts/builder.js

version 1.3.10 ( updated 08-15-2016 )
- Fixed settings page font issues in WordPress 4.6
	* core/admin/css/core.css
	* core/functions.php
	* epanel/core_functions.php
	* epanel/css/panel.css
	* includes/builder/functions.php
	* includes/builder/layouts.php
	* includes/builder/styles/notification_popup_styles.css
	* includes/builder/styles/roles_style.css
	* includes/builder/styles/style.css

version 1.3.9 ( updated 06-25-2016 )
- Added Google Maps API setting ( Google no longer support keyless access )
	* options_extra.php
	* framework/functions.php
	* includes/admin/admin.php
	* includes/core.php
	* includes/builder/framework.php
	* includes/builder/functions.php
	* includes/builder/main-modules.php
	* includes/builder/scripts/builder.js
	* includes/builder/styles/style.css

version 1.3.8 ( updated 06-23-2016 )
- Fixed the issue with posts not displaying in Category Layouts
	* includes/modules.php
- Blog Feed Module: Fixed the issue with Read more button, linking to a wrong post
	* module-posts-blog-feed-loop.php
- Fixed the issue with some custom hover styles not working for Buttons
	* includes/builder/class-et-builder-element.php
- Text Module: Removed excessive padding that was mistakenly added to the final paragraph
	* style.css

version 1.3.7 ( updated 06-21-2016 )
- Fixed the issue with missing image when sharing post using the Pinterest
	* includes/et-social-share.php
- Blog Feed Page Template: Fixed the issue with blank posts, showing up in Masonry Layout
	* includes/core.php
	* page-template-blog-feed.php
- Fixed the issue with All in One SEO plugin homepage settings
	* functions.php
	* includes/plugins-seo-support.php
	* includes/plugins-woocommerce-support.php
	* includes/plugins-seo-support.php
- Customizer: Fixed secondary menu background color option
- Customizer: Added body heading's font-size and line-height options
- Fixed Dropdown Menu text color on mobile
	* includes/customizer.php
- Added Cloudup video support
- Fixed incorrect height, applied to main navigation in some cases
	* scripts/scripts.js
- Added missing description tag in the <head> section
- Added missing alt tag on pagination's loading image and gravatars
	* includes/admin/admin.php
	* includes/admin/scripts/widgets.js
	* includes/modules.php
	* includes/template-tags.php
	* includes/widgets.php
	* module-ads.php
	* page-template-authors.php
	* post-top-content.php
	* single-post.php
	* single-project.php
	* single-project.php
- Category Builder: Fixed the issue with Pretty URL search broken for custom taxonomies when Category Builder is used for category
- Fixed the issue where tag page which uses category builder displays all posts instead of posts which use current page's tag
	* includes/layouts.php
	* includes/modules.php
	* includes/template-tags.php
	* index.php
	* module-posts-blog-feed.php
	* scripts/scripts.js
- Mega Menu: Fixed the issue with incorrect URL, used in comments count links
	* includes/template-tags.php
- Added Author Box and Related Posts ePanel and posts options
	* includes/admin/admin.php
	* includes/template-tags.php
	* options_extra.php
	* single-post.php
- Category Builder: Fixed the issue with Section/Row / Background image option
	* includes/builder-integrations.php
	* includes/builder/class-et-builder-element.php
- Blog Module: Fixed the issue with default pagination not showing on a site
	* includes/navigation.php
- Fixed "Disable Top Tier Dropdown Menu Links" option in ePanel > Navigation > General Settings
	* header.php
	* scripts/scripts.js
- Fixed the issue with missing image when sharing post using the Pinterest
	* includes/et-social-share.php
- Post Module: Added "Ignore Displayed Posts" option
	* includes/modules.php
- Post Title Module: Fixed the issue with "Advanced settings / Title Font Size" option
- Blog Module: Fixed Header Font advanced setting
- Shop Module: Fixed the issue with Custom product sorting
- Contact Module: Changed email field requirement
	* includes/builder/main-modules.php
- Fixed the issue with Magnific Popup script on default galleries
	* includes/builder/functions.php
	* styles.css
- Slider Module: Fixed the issue with Background Video, shown in Fullscreen on iOS devices
	* includes/builder/scripts/frontend-builder-scripts.js
- Button Module: Fixed Custom padding inside the module
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-modules.php
- Slider module: Fixed some issues with Advanced settings / Header Font Size option on mobile
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-modules.php
	* style.css
- Text Module: Added header font options
	* includes/builder/class-et-global-settings.php
	* includes/builder/main-modules.php
- Fixed different aspect ratio for embedded video on post content and post format's content
	* includes/builder/functions.php
- Fixed the issue with switching Categories and Archives widgets to dropdowns, padding in the theme was causing them to obscure the text
- Category Builder: Fixed layout issues when setting site-wide gutters lower than default value
- Fixed disappearing sidebar on browsers, not supporting flexbox
	* style.css

version 1.3.6 ( updated 05-16-2016 )
- Fixed the issue with Page Builder styles, missing for non-admin users
	* core/init.php

version 1.3.5 ( updated 05-10-2016 )
- Links inside of gallery module captions will now function correctly.
	* includes/builder/scripts/frontend-builder-scripts.js
- Added missing structured data classes to the Post Title modules.
	* includes/builder/main-modules.php
- Custom row padding in the Divi Builder will no longer be overwritten by custom row padding in from the Theme Customizer.
	* includes/builder/main-structure-elements.php
- Updated core and epanel submodules to latest versions (Fonts files were moved to /core. If you are currently calling these font files, your CSS files should be updated with new file paths).
	* /core
	* /epanel
- Updated Google+ icon to match the new Google+ logo & branding guidlines.
	* core/admin/fonts
- Fixed "Theme Options / Post Meta" settings
	* epanel/core_functions.php
- Improved compatibility with Yoast SEO plugin ( Dashboard > SEO > Titles & Metas > Homepage settings display correctly now )
	* functions.php
	* includes/yoast-seo-support.php
- Improved alignment in the Fullwidth Header module
	* style.css

version 1.3.4 ( updated 04-13-2016 )
- Fixed the issue with the theme, not working if ET Shortcodes plugin is active
	* includes/core.php
- Fixed the update notification text in WordPress 4.5
	* core/admin/includes/class-updates.php

version 1.3.3 ( updated 04-12-2016 )
- Theme Options Page: Added option to configure auto updates from the ePanel
	* epanel/core_functions.php
	* epanel/css/panel.css
	* epanel/custom_functions.php
	* epanel/js/functions-init.js
	* epanel/js/wp-color-picker-alpha.min.js
	* /core
- Fixed the issue with non-working ET shortcodes
	* framework/functions.php

version 1.3.2 ( updated 04-11-2016 )
- Customizer: Fixed an error message that appears above the Module customizer in WordPress 4.5
	* includes/customizer.php
	* scripts/theme-customizer-controls.js
	* styles/css/theme-customizer-controls.css
- Bumped version number
	* style.css

version 1.3.1 ( updated 04-01-2016 )
- Theme Options Page: Fixed modal windows vertical alignment
	* epanel/css/panel.css
	* epanel/js/functions-init.js
- Code Module: Fixed the issue with broken images with names that have "x" letter
	* includes/builder/functions.php
- Fixed some issues with Split Test setup "cancel" action
	* includes/builder/scripts/builder.js
- Category Page Builder: Fixed infinite "settings modal" loading
	* includes/builder/class-et-builder-element.php
	* includes/builder/scripts/builder.js

version 1.3 ( updated 03-30-2016 )
- Added Split Testing feature
- Added option to configure Gutter Width for individual pages
- Added option to configure Light/Dark text color for individual pages
- Added option to configure Content Area and Section background color for individual pages
- Added option to define custom css for individual pages
- Added ability to import/export Customizer settings, ePanel settings, Roles settings and Layouts of particular posts/pages made with Divi Builder
- Improved import/export of Divi Library
- Added option to configure color palette for color pickers in Divi Builder
- Added mechanism which diagnoses common issues in Divi Builder ( such as cached files, low memory limit, etc ) and helps to resolve them
	* /includes/builder
	* /epanel
	* functions.php
- Added "Disable Global" option into right click menu
	* includes/builder/functions.php
	* includes/builder/scripts/builder.js
- Added option to defined the item color for excluded option in pricing table module
	* includes/builder/main-modules.php
- Improved Accordion module to make it automatically scroll to the title of active tab
	* includes/builder/scripts/frontend-builder-scripts.js
- Fixed the issue when parallax background is not recalculated if error in contact form occurs
	* includes/builder/scripts/frontend-builder-scripts.js
- Fixed the typing lag with Yoast plugin
	* includes/builder/scripts/builder.js
- Updated jQuery-UI scripts to 1.11 version in support of upcoming WordPress 4.5
	* includes/builder/scripts/ext/jquery-ui-1.11.4.custom.min.js
	* includes/builder/scripts/builder.js
	* includes/builder/functions.php
- Fixed the issue when php warning in preg_replace_callback() function appears in some cases
	* includes/builder/core.php
	* includes/builder/functions.php
- Fixed the issue with image overlay size in image module
	* includes/builder/styles/frontend-builder-style.css
- Fixed the issue when predefined layouts are not showing with WPML
	* includes/builder/core.php
- Fixed the issue when Yoast SEO analysis didn't work properly with Divi Builder shortcodes
	* includes/builder/framework.php
	* includes/builder/core.php
- Fixed conflicts with events manager plugin
	* includes/builder/core.php
	* includes/builder/framework.php
- Fixed the issue with Column padding option for smartphones
	* includes/builder/class-et-builder-element.php
- Fixed the issue with comments appearance on small screens
	* includes/builder/styles/frontend-builder-style.css
- Fixed the issue with incorrect number of posts in "mine" field in the Divi Library
	* includes/builder/functions.php
- Fixed the issue when animation is not triggered for the very bottom elements on the page and they never become visible
	* includes/builder/scripts/frontend-builder-scripts.js
- Fixed the issue with alignment of Post Navigation buttons
- Fixed incorrect post order of blog feed masonry module on mobile screens
- Fixed the issue when border-color option didn't work
- Fixed the content overflow issue on archive and single post in FireFox and Opera Mini
	* style.css
- Ads module: Fixed the issue with Header Advanced Settings, that weren't applied correctly
- Fixed the issue with incorrect pagination on blog feed modules if no posts per page option defined
	* includes/modules.php
- Fixed scroll to top after clicking pagination issue on blog feed modules in Firefox
	* scripts/scripts.js

version 1.2.4.4 ( updated 02-25-2016 )
- Fixed the issue when Customizer is not saving settings
	* includes/builder/framework.php

version 1.2.4.3 ( updated 02-24-2016 )
- Added several performance enhancements. Those experiencing slow builder loads, server slowdown or 500 errors should update to fix these issues.
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/functions.php
	* includes/builder/scripts/builder.js
- Fixed issue where < br > tags were replaced with physical line breaks in the post editor while in Text mode.
	* includes/builder/scripts/builder.js
- Fixed issue where new categories and widget areas did not appear in Divi Builder module settings.
	* includes/builder/core.php
- Added missing MailChimp and Aweber authorization settings in the Extra Theme Options.
	* options_extra.php

version 1.2.4.2 ( updated 02-20-2016 )
- Page Builder: Fixed Text Formatting Issues
	* includes/builder/scripts/builder.js
- Page Builder: Page Load Speed Improvements
	* includes/builder/class-et-builder-element.php
	* includes/builder/functions.php
	* includes/builder/scripts/builder.js

version 1.2.4.1 ( updated 02-18-2016 )
- Fixed escaping issues in comment count
	* includes/builder/functions.php
- Fixed the issue with line breaks, stripped from modules in Page Builder
	* includes/builder/scripts/builder.js

version 1.2.4 ( updated 02-17-2016 )
- IMPORTANT: Fixed critical privilege escalation security vulnerability that, if properly exploited, could allow unprivileged registered WordPress users to perform a subset of actions within the Divi Builder, including the potential to manipulate posts.
	* For more detailed information, please refer to the full public disclosure that was emailed to all customers on 2-17-2016: http://bit.ly/1Q9P13N
- Added clear cache warning to reminder users to clear their cache when Divi Builder files have been updated.
	* includes/builder/functions.php
- Reduced PHP memory useage within the Divi Builder to help reduce errors on hosting accounts with low memory limits.
	* includes/builder/class-et-builder-element.php

version 1.2.2 ( updated 02-04-2016 )
- Fixed issue with broken Divi Theme Options styling when the parent theme name was changed.
	* functions.php
	* epanel/core_functions.php
- Added excerpt support for pages.
	* epanel/custom_functions.php
- Fixed bug where clearing selected color failed in some situations.
	* scripts/builder.js
- Fixed bug that caused Admin Labels to not be available for Sections.
	* includes/builder/main-structure-elements.php
- Fixed bug where responsive padding values where applied to the incorrect breakpoint in the Post Slider module.
	* includes/builder/main-modules.php
- Fixed bug where custom column CSS classes were incorrectly applied to the parent Row in some situations.
	* includes/builder/scripts/frontend-builder-scripts.js
- Removed the inapplicable Read More button from the tinyMCE editor when used inside the Divi Builder.
	* includes/builder/functions.php
- Fixed bug that caused various plugin incompatibilities.
	* includes/builder/layouts.php
	* includes/builder/functions.php
	* includes/builder/template-preview.php

version 1.2.1 ( updated 01-25-2016 )
- Fixed bug where builder would not load in certain browsers
	* includes/builder/scripts/builder.js
- Fixed bug where ePanel CSS would not load when a child theme was enabled.
	* epanel/core_functions.php

version 1.2 ( updated 01-25-2015 )
- Ad Widget: Improved html tags handling
	* includes/widgets.php
- Testimonial Module: Fixed Icon visibility issue
	* styles/partials/typography.less
- Sitemap Page Template: All options can be unchecked now
- Fixed the issue with Static Home page changing to Recent Posts page
	* includes/admin/admin.php
- Fixed all autoplay options issues
	* module-featured-posts-slider.php
	* module-posts-carousel.php
	* post-top-content.php
	* scripts/scripts.js
	* single-project.php
- Sitemap Page Template: Improved Meta Box UI
	* includes/admin/scripts/page-template.js
- Customizer: Fixed the issue with the 'Hide Navigation Until Scroll' option, not functioning correctly if all 'Header Elements Settings' fields are unchecked
	* scripts/scripts.js
- Fixed Code Integration Settings
	* single-post.php
- Blog feed Standard / Masonry: Removed unused heading style, primary, and sub fields options
- Fixed Tabbed Posts / Module Settings / Post meta options issues
- Extra Modules: Don't display sticky posts, if post categories are selected
	* includes/modules.php
- Fixed Trending Title Text Color Option
- Customizer: Fixed font style default values
	* includes/customizer.php
- Added Extra post format settings on Dashboard > Settings > Writing page
	* framework/admin/post-formats.php
	* framework/post-formats.php
- Customizer: Improved Font Style setting functionality
	* framework/functions.php
	* scripts/theme-customizer.js
- Exclude the current post when listing related posts on single post page
	* includes/template-tags.php
- Added hAtom support
	* includes/template-tags.php
	* index-content.php
	* module-featured-posts-slider.php
	* module-posts-blog-feed-loop.php
	* module-posts-carousel.php
	* module-posts-content.php
	* page-template-blog-feed.php
	* page-template-fullwidth.php
	* page-template-portfolio.php
	* page.php
	* single-post.php
	* single-project.php
	* single.php
- Megamenu: Fixed incorrect Comment count
	* epanel/custom_functions.php
- Fixed incorrect "Fixed primary navigation" width on boxed layout when a page is being scrolled
	* includes/customizer.php
	* style.css
- Posts Сarousel, Featured Posts Slider modules: Added max title characters option
	* includes/modules.php
	* module-featured-posts-slider.php
	* module-posts-carousel.php
- Added WooCommerce Number of Products displayed on Archive pages setting to ePanel
	* options_extra.php
- Updated Waypoints library to version 4.0.0
	* includes/builder/scripts/waypoints.min.js
- Fixed reset color picker to default error
	* includes/builder/class-et-builder-element.php
	* includes/builder/scripts/builder.js
- Fixed the issue with wrong appearance of reset button for the Font options
	* includes/builder/class-et-builder-element.php
- Fixed JetPack Related Posts unwanted shortcode
	* includes/builder/functions.php
- Fixed the issue with Video Post format when the first uploaded video is not updated if it's replaced by another video
	* includes/builder/functions.php
- Fixed the issue with modules saving when limited tabs available for user
	* includes/builder/class-et-builder-element.php
- Fixed the isue with missing "delete" button on custom widget areas
	* includes/builder/scripts/ext/widgets.js
- Fixed incorrect divi builder icon placement in RTL layout
	* includes/builder/styles/style.css
- Fixed translation issues in various modules
	* includes/builder/framework.php
	* includes/builder/functions.php
- Gallery Module: Fixed image overlay styling in Safari
	* includes/builder/styles/frontend-builder-style.css
- Fixed the issue when custom widget areas not displaying in theme customizer
	* includes/builder/functions.php
- Fixed JetPack Related Posts unwanted shortcode issue
	* includes/builder/functions.php
- Сontact Form Module: Improved email validation
	* includes/builder/scripts/frontend-builder-scripts.js
- Сontact Form Module: Improved spam protection
- Сontact Form Module: Added ability to add/remove/sort fields
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-modules.php
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/styles/frontend-builder-style.css
- Fixed the issues with translation in Russian localization files
	* includes/builder/languages/ru_RU.po
	* includes/builder/languages/ru_RU.mo
- Fixed the issue with preview error in library
	* includes/builder/layouts.php
- Page Builder: Fixed the issue with CTRL+Z not working inside input fields
	* includes/builder/builder.js
- Page Builder: Fixed the issue with disappearing predefined layouts sometimes
	* includes/builder/layouts.php
- Page Builder: Added animations to Modals and different elements in Builder interface
	* includes/builder/styles/style.css
	* includes/builder/builder.js
- Added overlay option for the Blog and Image modules
	* includes/builder/main-modules.php
	* includes/builder/scripts/builder.js
	* includes/builder/styles/frontend-builder-style.css
- Added Image overlay and Text overlay options for the Slider module
	* includes/builder/main-modules.php
	* includes/builder/styles/frontend-builder-style.css
- Added missing reset button for Columns advanced settings
	* includes/builder/class-et-builder-element.php
- Slider Module: Fixed the Hide CTA on mobile and Hide Content on mobile options
	* includes/builder/main-modules.php
- Fixed the issue with duplicated entries in "Built For" filter in Library
	* includes/builder/functions.php
	* includes/builder/layouts.php
- Moved CSS Class and CSS ID options on Custom CSS tab
	* includes/builder/class-et-builder-element.php
	* includes/builder/main-modules.php
- Page Builder: Optimized the Builder loading and made load faster
	* includes/builder/class-et-builder-element.php
	* includes/builder/functions.php
	* includes/builder/scripts/builder.js
- Removed all monarch share button from preview screen
	* includes/builder/styles/preview.css
- Fullwidth Portfolio: Added Advanced settings
	* includes/builder/main-modules.php
- Fixed the issue when playing audio module stopped video background
	* includes/builder/scripts/frontend-builder-scripts.js
- Fixed the issue with saving a row or section as global when it contains global items
	* scripts/builder.js
- Accordion Module: Fixed the issue with Open/Closed toggle text color option.
	* includes/builder/main-modules.php
- Custom CSS: Improved custom css options and made the selector visible for each option
- Custom CSS: Added useful css options to various modules
- Custom CSS: Added custom css options to columns
- Added Responsive Settings to various options in Builder
- Added Option to hide module/row/section on certain devices ( Phone, Tablet, Desktop )
	* Almost all files updated in the /framework directory
- Added support of swipe gestures in Slider modules
	* includes/builder/frontend-builder-scripts.js
	* includes/builder/framework.php
- Added Posts Nav module
- Added Search module
- Added Button module
- Added Comments module
- Added Posts Slider module
- Added Fullwidth Posts Slider module
	* includes/builder/main-modules.php
- Added system to sync the default Advanced Settings of child modules with current values of parent module
	* includes/builder/main-modules.php
	* includes/builder/scripts/builder.js
- Fixed Post Carousel text overlap
- Fixed overflown wrapper issue on iPad landscape orientation
- Testimonial Module: Fixed Icon visibility issue
- Image Module: Fixed the issue with "Right To Left" animation not working properly
- Bumped version number
	* style.css

version 1.1 ( updated 12-22-2015 )
- Sitemap Page Template: Fixed metabox heading styling
	* includes/admin/styles/admin.css
- Fixed Nav: Fixed the issue with default values, not working correctly
	* header.php
	* includes/customizer.php
- Fixed masonry layout on index pages
	* includes/core.php
	* index-content.php
- Fixed the issue with Date Format option not used in theme
	* includes/template-tags.php
- Tabbed Posts Module: Fixed undefined variable notification
	* module-tabbed-posts.php
- Customizer: Fixed Header Element Settings JS error
- Customizer: Fixed website gutter width behaviour
	* scripts/theme-customizer.js
- Fixed incorrect advanced design settings and custom css selector for slider arrows
- Fixed duplicated module order class attribute
- Posts Carousel Module: Fixed selector issues
	* includes/modules.php
	* style.css
- Featured Posts Slider: Fixed Autoplay setting
	* module-featured-posts-slider.php
	* scripts/scripts.js
- Excluded ratings from comments list ( Dashboard / Comments )
	* includes/ratings.php
- Customizer: Improved Social Media Network settings functionality
	* header.php
- Post Listings Gallery Post Format: Fixed Image Slider visibility issues
	* includes/core.php
	* scripts/scripts.js
- Video Post Format Meta Box: Improved UX
	* includes/admin/admin.php
	* includes/admin/styles/admin.css
- Extra Settings: Improved UX
	* includes/admin/admin.php
	* includes/admin/scripts/admin-posts.js
- Fixed duplicated registration of project post type
	* includes/builder-integrations.php
	* includes/core.php
- Customizer: Fixed custom widget areas display issue
	* includes/builder-integrations.php
	* includes/builder/functions.php
- Blog Feed Standard: Fixed Pagination salvattore js error
	* scripts/scripts.js
- Featured post slider: Fixed "Featured posts only" setting functionality
	* includes/modules.php
- Improved Fullwidth Project page layout styling
- Fixed the issue with URL in Above Post Ad option
	* includes/template-tags.php
- Customizer: Fixed hover/active link behavior
	* includes/customizer.php
- Fixed the issue with rating stars, not displaying recently selected rating properly
	* single-post.php
- Fixed the issue with "Show Comments on Pages" option
	* page.php
- ePanel / Layout Settings / Single Post Layout / Sharing Icons to Display: Fixed "Turning one option off hides all icons" issue
	* includes/epanel/core_functions.php
- Fixed Image gallery Overlay problem in Safari
- Fixed incorrect pricing table break in 1/4 column + 3/4 specialty column
	* includes/builder/styles/frontend-builder-style.css
- Person Module: Removed typography styles
- Fixed Project info box items width
- Woocommerce Category Page: Fixed display issue in Safari on Mac
- Fixed the issue with Related Posts height, extending to the bottom when comments are disabled
- Login Module: Fixed placeholder styling inconsistencies
- Timeline Page Template: Fixed display issues in Safari and IE11
- Countdown and Tabbed Posts Modules: Fixed styling issues
- Fixed the issue with masonry blog grid in 1/3 and 1/4 columns
- Fullwidth Blog Module: Fixed padding issues
- Post Title: Fixed mobile font size inconsistency
- Bumped version number
	* style.css

version 1.0

- initial release
